> For the complete documentation index, see [llms.txt](https://docs.growsurf.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.growsurf.com/integrations/loops/tutorials.md).

# Tutorials

Once GrowSurf syncs participants to Loops, you can insert their referral link and progress into campaign and workflow emails. Loops uses a Contact Property's camelCase API name inside braces.

## Display the participant's referral link

Use the synced `grsfShareUrl` property as the link and visible text:

```html
<p>Give your friends a reason to join.</p>
<p>Copy and paste your unique referral link to share:</p>
<p>
  <a href="{grsfShareUrl}">{grsfShareUrl}</a>
</p>
```

## Display a link to your program referral portal

Replace `YOUR_PROGRAM_ID` with your GrowSurf Program ID. If you use a custom Referral Portal domain, replace the `https://grow.surf/YOUR_PROGRAM_ID` portion with that URL.

```html
<a href="https://grow.surf/YOUR_PROGRAM_ID?grsf_email={email}&grsf_first_name={firstName}&grsf_last_name={lastName}">
  View your referral progress
</a>
```

## Show referral progress

```html
<p>You have made {grsfTotalReferralCount} referrals so far.</p>
```

{% hint style="info" %}
Loops asks you to set a fallback when you insert Contact Properties through its editor. Add a fallback for optional values, so an email still sends when that value is empty. See [Personalizing emails](https://loops.so/docs/creating-emails/personalizing-emails) for Loops' current syntax and fallback behavior.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.growsurf.com/integrations/loops/tutorials.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
